using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.BusinessLogicContracts;

public interface IProductBusinessLogicContract
{
    List<ProductViewModel>? ReadList(ProductBindingModel? model);
    ProductViewModel? ReadElement(ProductBindingModel model);
    void Create(ProductBindingModel model);
    void Update(ProductBindingModel model);
    void Delete(ProductBindingModel model);
}